﻿namespace Viss.ApiManagement.Samples.TransactionApi
{
    using Refit;
    using System.Threading.Tasks;
    using Viss.ApiManagement.Samples.TransactionApi.Structures;

    /// <summary>
    /// ITransactionApi
    /// </summary>
    public interface ITransactionApi
    {
        /// <summary>
        /// Starts the specified e service identifier.
        /// </summary>
        // <param name="eServiceId">The e service identifier.</param>
        /// <returns>Transaction id</returns>
        [Get("/transactions/start")]
        Task<TransactionStatusResponse> Start([Header("x-eServiceId")]string eServiceId);
        /// <summary>
        /// Ends this instance.
        /// </summary>
        ///<returns>TransactionStatus</returns>
        [Get("/transactions/end")]
        Task<TransactionStatusResponse> End([Header("x-transactionId")] string transactionId);

    }
}
